
const complotDB = require('../database/ComplotDB.js');

class InformeMoi{
    constructor(client){
        this.client = client;
        this.channels = this.client.channels.cache;
    }

    getRandomComplot(){
        const actor = complotDB.getRandomActor();
        const action = complotDB.getRandomAction();
        const reason = complotDB.getRandomReason();
        const source = complotDB.getRandomSource();
        const sentence = complotDB.getRandomSentence();
        const want = actor.startsWith("Les ") ? "veulent" : "veut";

        return sentence.replace('<actor>', actor).replace('<want>', want).replace('<reason>', reason).replace('<source>', source).replace('<action>', action);
    }

    parse(message){
        if(this.shouldRespond(message)){
            message.reply(this.getRandomComplot());
        }
    }

    shouldRespond(message){    
        return message.content.toLowerCase().includes("informe moi");
    }
}

module.exports = InformeMoi;